# services/bstein-dev-home/image.yaml
apiVersion: image.toolkit.fluxcd.io/v1beta2
kind: ImageRepository
metadata:
  name: bstein-dev-home-frontend
  namespace: bstein-dev-home
spec:
  image: registry.bstein.dev/bstein/bstein-dev-home-frontend
  interval: 1m0s
  secretRef:
    name: harbor-regcred
---
apiVersion: image.toolkit.fluxcd.io/v1beta2
kind: ImagePolicy
metadata:
  name: bstein-dev-home-frontend
  namespace: bstein-dev-home
spec:
  imageRepositoryRef:
    name: bstein-dev-home-frontend
  policy:
    semver:
      range: ">=0.1.0-0"
---
apiVersion: image.toolkit.fluxcd.io/v1beta2
kind: ImageRepository
metadata:
  name: bstein-dev-home-backend
  namespace: bstein-dev-home
spec:
  image: registry.bstein.dev/bstein/bstein-dev-home-backend
  interval: 1m0s
  secretRef:
    name: harbor-regcred
---
apiVersion: image.toolkit.fluxcd.io/v1beta2
kind: ImagePolicy
metadata:
  name: bstein-dev-home-backend
  namespace: bstein-dev-home
spec:
  imageRepositoryRef:
    name: bstein-dev-home-backend
  policy:
    semver:
      range: ">=0.1.0-0"
